import random


class PromptGenerator:
    def __init__(self):
        self.prompts = [
            "What is the most unpredictable string you can generate?",
            "Generate a random assortment of words unrelated to each other.",
            "Provide a single, creative sentence with no context.",
        ]

    def get_random_prompt(self) -> str:
        """ Get a random prompt from the predefined list. """
        return random.choice(self.prompts)
